Package org.jboss.resteasy.client.jaxrs.internal

## Class ClientResponseContextImpl

- java.lang.Object
- - org.jboss.resteasy.client.jaxrs.internal.ClientResponseContextImpl

- All Implemented Interfaces:
    `javax.ws.rs.client.ClientResponseContext`

      public class ClientResponseContextImpl
      extends Object
      implements javax.ws.rs.client.ClientResponseContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ClientResponse` | `response` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ClientResponseContextImpl​(ClientResponse response)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Set<String>` | `getAllowedMethods()` |
    `ClientResponse` | `getClientResponse()` |
    `Map<String,​javax.ws.rs.core.NewCookie>` | `getCookies()` |
    `Date` | `getDate()` |
    `InputStream` | `getEntityStream()` |
    `javax.ws.rs.core.EntityTag` | `getEntityTag()` |
    `javax.ws.rs.core.MultivaluedMap<String,​String>` | `getHeaders()` |
    `String` | `getHeaderString​(String name)` |
    `Locale` | `getLanguage()` |
    `Date` | `getLastModified()` |
    `int` | `getLength()` |
    `javax.ws.rs.core.Link` | `getLink​(String relation)` |
    `javax.ws.rs.core.Link.Builder` | `getLinkBuilder​(String relation)` |
    `Set<javax.ws.rs.core.Link>` | `getLinks()` |
    `URI` | `getLocation()` |
    `javax.ws.rs.core.MediaType` | `getMediaType()` |
    `int` | `getStatus()` |
    `javax.ws.rs.core.Response.StatusType` | `getStatusInfo()` |
    `boolean` | `hasEntity()` |
    `boolean` | `hasLink​(String relation)` |
    `void` | `setEntityStream​(InputStream entityStream)` |
    `void` | `setStatus​(int code)` |
    `void` | `setStatusInfo​(javax.ws.rs.core.Response.StatusType statusInfo)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### response

          protected final ClientResponse response

  - ### Constructor Detail

    - #### ClientResponseContextImpl

          public ClientResponseContextImpl​(ClientResponse response)

  - ### Method Detail

    - #### getStatus

          public int getStatus()

      Specified by:
        `getStatus` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### setStatus

          public void setStatus​(int code)

      Specified by:
        `setStatus` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getStatusInfo

          public javax.ws.rs.core.Response.StatusType getStatusInfo()

      Specified by:
        `getStatusInfo` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### setStatusInfo

          public void setStatusInfo​(javax.ws.rs.core.Response.StatusType statusInfo)

      Specified by:
        `setStatusInfo` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getHeaders

          public javax.ws.rs.core.MultivaluedMap<String,​String> getHeaders()

      Specified by:
        `getHeaders` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getAllowedMethods

          public Set<String> getAllowedMethods()

      Specified by:
        `getAllowedMethods` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getDate

          public Date getDate()

      Specified by:
        `getDate` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLanguage

          public Locale getLanguage()

      Specified by:
        `getLanguage` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLength

          public int getLength()

      Specified by:
        `getLength` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getMediaType

          public javax.ws.rs.core.MediaType getMediaType()

      Specified by:
        `getMediaType` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getCookies

          public Map<String,​javax.ws.rs.core.NewCookie> getCookies()

      Specified by:
        `getCookies` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getEntityTag

          public javax.ws.rs.core.EntityTag getEntityTag()

      Specified by:
        `getEntityTag` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLastModified

          public Date getLastModified()

      Specified by:
        `getLastModified` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLocation

          public URI getLocation()

      Specified by:
        `getLocation` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLinks

          public Set<javax.ws.rs.core.Link> getLinks()

      Specified by:
        `getLinks` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### hasLink

          public boolean hasLink​(String relation)

      Specified by:
        `hasLink` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLink

          public javax.ws.rs.core.Link getLink​(String relation)

      Specified by:
        `getLink` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getLinkBuilder

          public javax.ws.rs.core.Link.Builder getLinkBuilder​(String relation)

      Specified by:
        `getLinkBuilder` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### hasEntity

          public boolean hasEntity()

      Specified by:
        `hasEntity` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getEntityStream

          public InputStream getEntityStream()

      Specified by:
        `getEntityStream` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### setEntityStream

          public void setEntityStream​(InputStream entityStream)

      Specified by:
        `setEntityStream` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getHeaderString

          public String getHeaderString​(String name)

      Specified by:
        `getHeaderString` in interface `javax.ws.rs.client.ClientResponseContext`

    - #### getClientResponse

          public ClientResponse getClientResponse()